# KSPGLTR

Code to run conjugate gradient method subject to a constraint on the solution norm. This is used in Trust Region methods for nonlinear equations, SNESTR

### Options Database Keys

-ksp_gltr_radius <r> -Trust Region Radius

Notes: This is rarely used directly

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP, KSPGLTRSetRadius(), KSPGLTRGetNormD(), KSPGLTRGetObjFcn(), KSPGLTRGetMinEig(), KSPGLTRGetLambda()

Level:developer
Location:src/ksp/ksp/impls/cg/gltr/gltr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages